
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter_spinkit/flutter_spinkit.dart';
import 'package:nan_photo_selector/NanCommonConst.dart';

Widget reportRecordDetailWidget(leftTitle,{double mHeight=50,bool isRequired=false,double titleMarginLeft=13,leftTitleColor,Color bgColor=Colors.white,double fSize=14,rightTitle,String rightIcon="scan",TextAlign textAlign =TextAlign.right,bool isHiddenRightIcon=true,rightIconOnTap, rightTitleColor,FontWeight fontWeight=FontWeight.normal}){
  Color leftTitleColors = (leftTitleColor == null?Color.fromRGBO(102,102,102, 1):leftTitleColor);
  return Container(
    color: bgColor,
    // padding: EdgeInsets.all(5),
    constraints: BoxConstraints(
      minHeight: mHeight
    ),
    child: Row(
      mainAxisAlignment: MainAxisAlignment.spaceBetween,
      children: <Widget>[
        Expanded(
          // child: Container(
          //   // color: Colors.redAccent,
          //   // width: 100,
          //   margin: EdgeInsets.only(left: titleMarginLeft),
          //   child: Text(leftTitle,style: TextStyle(fontSize: fSize,color: leftTitleColors,fontWeight: fontWeight),),
          // ),
          child: Padding(
              padding: EdgeInsets.only(left: 13,right: 20),
              child: Row(
                children: [
                  Offstage(
                    offstage: !isRequired,
                    child: Text("*",style: TextStyle(color: Colors.redAccent,fontSize: 18,fontWeight: FontWeight.bold),),
                  ),
                  Text(leftTitle,style: TextStyle(fontSize: fSize,color: leftTitleColors,fontWeight: fontWeight))
                ],
              ),
            ),
        ),
        
        // Offstage(
        //   offstage: rightIconOnTap == null,
        //   child: loadAssetImage("scan",width: 30,height: 30,onTap: rightIconOnTap),
        // )
        
        rightIconOnTap == null?
        Offstage(
          offstage:  NanUtils.isStrEmpty(rightTitle) ? true:false,
          child: Container(
            // color: color,
            // width: kScreenWidth-100-20-20-20,
            constraints: BoxConstraints(
              maxWidth: kScreenWidth-100-20
            ),
            margin: EdgeInsets.only(right: 10),
            child: Text(NanUtils.isStrEmpty(rightTitle),style: TextStyle(color: rightTitleColor),textAlign: textAlign,),
          ),
        )
        :loadAssetImage("scan",width: 30,height: 30,onTap: rightIconOnTap),
      ],
    ),
  );
}

Widget commonUploadTip({String tip='* 最多只能上传九张'}){
  return Container(
    color: Colors.white,
    height: 50,
    width: double.infinity,
    alignment: Alignment.centerLeft,
    padding: EdgeInsets.only(left: 10),
    child: Text(tip,style: TextStyle(color: Color.fromRGBO(0,0,0,0.2)),),
  );
}

AppBar commonAppBar({String title='标题',Key key,Color bgColor=Colors.white,double elevation,List<Widget> actions,Widget leading,PreferredSizeWidget bottom}){
  return AppBar(
    title: Text(title),
    key: key,
    centerTitle: true,
    backgroundColor: bgColor,
    elevation: elevation,
    actions: actions,
    leading: leading,
    bottom: bottom,
  );
}

Widget commonTextField(TextEditingController textEditingController,{int maxLines=1,bool isHiddenLine = false,bool isRequired=false,double rightIconWidth=30,int maxLength,double height,bool enabled=true,String leftTitle,String rightImg='location',String hintText="请输入",int flex=2,TextInputAction textInputAction=TextInputAction.done,List<TextInputFormatter> inputFormatters,TextInputType keyboardType,GestureTapCallback locationnTap,Function onChangeFun}){  
  return Column(
    children: [
      Container(
        color: Colors.white,
        height: height,
        child: Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: <Widget>[
            // Padding(
            //   padding: EdgeInsets.only(left: 13,right: 20),
            //   child: RichText(
            //     text: TextSpan(text: '*',style: TextStyle(color: Colous.Color102),children: <TextSpan>[
            //       TextSpan(text: leftTitle,style: TextStyle(color: Colors.black)),
            //     ])
            //   ),
            // ),
            Padding(
              padding: EdgeInsets.only(left: 13,right: 20),
              child: Row(
                children: [
                  Offstage(
                    offstage: !isRequired,
                    child: Text("*",style: TextStyle(color: Colors.redAccent,fontSize: 18,fontWeight: FontWeight.bold),),
                  ),
                  Text(leftTitle,style: TextStyle(color: Colors.black,fontSize: 14),)
                ],
              ),
            ),
            // Container(
            //   child: Text(leftTitle,style: TextStyle(color: Colors.black,fontSize: 14),),
            //   margin: EdgeInsets.only(left: 13,right: 20),
            // ),
            Expanded(
              flex: flex,
              child: Container(
                child: TextField(
                  enabled: enabled,
                  maxLines: maxLines,//null,
                  maxLength: maxLength,//1024,
                  controller: textEditingController,
                  textAlign: TextAlign.right,
                  textInputAction: textInputAction,
                  inputFormatters: inputFormatters,
                  keyboardType: keyboardType,//TextInputType.number,
                  decoration: InputDecoration(
                    contentPadding: const EdgeInsets.all(10.0),
                    hintText: hintText,
                    hintStyle: TextStyle(color: Color.fromRGBO(204,204,204, 1)),
                    border: OutlineInputBorder(
                      borderSide: BorderSide.none
                    ),
                    filled: true,
                    fillColor: Colors.white//Colous.LoginTextBColor,
                  ),
                  onChanged: (value) {
                    // Toast.show(value, context,gravity: Toast.CENTER);
                    print(value);
                    if (onChangeFun != null) {
                      onChangeFun(value);
                    }
                  },
                ),
              ),
            ),
            Offstage(
              offstage: locationnTap == null,
              child: Padding(
                padding: EdgeInsets.only(right: 10),
                child: loadAssetImage(rightImg,width: rightIconWidth,height: rightIconWidth,onTap: locationnTap),
              ),
            )
          ],
        ),
      ),
      Offstage(
        offstage: isHiddenLine,
        child: Divider(height: 1,),
      )
    ],
  );           
}

Widget LoadingWidget({Color loadingColor= Colous.LoadingColor}){
  return SpinKitDoubleBounce(
    color: loadingColor,
  );
}
/*图片控件*/
  Widget uploadImageView(imgPath) {
    return Image.file(
      imgPath,
      width: kScreenWidth/4,
      height: kScreenWidth/4,
      fit: BoxFit.fill,
    );
  }